// 8-bit servo for ATTINY85 example.
// Bacha na nastavenou rychlost CPU! 
// Radeji predem nahrat prislusny Bootloader!
// Funguje na 1 MHz i 8 MHz (vyzkouseno)

// Pred pripojenim serva overit rychlost pomoci blikani LED na pinu PB3
// Perioda blikani je cca 7 sec (3.5 sec sviti, 3.5 sec nesviti)
// Pokud je to jinak, je spatne nastavena rychlost CPU a zvoleny board!

#include "Servo8Bit.h"

Servo8Bit myServo;  //create a servo object.
                    //a maximum of five servo objects can be created

#define led    3    //LED to pin PB3

void setup()
{ 
  //myServo.attach(4,544,2400);  //this is the default values of pulse limits
  myServo.attach(4,800,2200);    //attach the servo to pin PB4 with real limits
  pinMode(led, OUTPUT);     
}


void loop()
{
    digitalWrite (led, LOW);   
    for(int pos = 0; pos < 180; pos++)  // goes from 0 degrees to 180 degrees (MIN to MAX)
    {                                   // in steps of 1 degree
        myServo.write(pos);             // tell servo to go to position in variable 'pos'
        delay(15);                      // waits 15ms for the servo to reach the position
    }

    delay(800);

    digitalWrite (led, HIGH);   
    for(int pos = 180; pos > 1; pos--)  // goes from 180 degrees to 0 degrees (MAX to MIN)
    {
        myServo.write(pos);             // tell servo to go to position in variable 'pos'
        delay(15);                      // waits 15ms for the servo to reach the position
    }
    
    delay(800);
}

